Module | Bio::KEGG::Common::OrthologsAsHash
In: | lib/bio/db/kegg/common.rb

This module provides orthologs_as_hash method.

Bio::KEGG::* internal use only.

### Methods

orthologs_as_hash

### Public Instance methods

orthologs_as_hash()

Returns a Hash of the orthology ID and definition in ORTHOLOGY field.

[Source]

        # File lib/bio/db/kegg/common.rb, line 72
    72:       def orthologs_as_hash
    73:         unless defined? @orthologs_as_hash
    74:           kos = {}
    75:           orthologs_as_strings.each do |ko|
    76:             entry = ko.scan(/K[0-9]{5}/)[0]
    77:             sign, entry_id, definition = ko.split(/\s+/, 3)
    78:             kos[entry_id] = definition
    79:           end
    80:           @orthologs_as_hash = kos
    81:         end
    82:         @orthologs_as_hash
    83:       end

[Validate]